Bug 445302 - SATA CD burner not working, freezes
SATA CD burner not working, freezes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 22:02 EDT by Daniel Benamy
Modified: 2009-01-09 01:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:28:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (28.53 KB, text/plain)
2008-05-09 18:48 EDT, Daniel Benamy
no flags Details

  None (edit)
Description Daniel Benamy 2008-05-05 22:02:49 EDT
Description of problem:
When I run k3b, it freezes for a while. Eventually it unfreezes but doesn't see
my burner. From then on the drive seems dead (the eject button doesn't work)
until I reboot.

Version-Release number of selected component (if applicable):
k3b-1.0.4-5.fc8
kernel-2.6.24.5-85.fc8
Not sure if anything else is relevant.

How reproducible:
Every time.

Steps to Reproduce:
1. Run k3b.

Additional info:
# k3b
(K3bDevice::HalConnection) initializing HAL >= 0.5
Mapping udi /org/freedesktop/Hal/devices/storage_model_CD/DVDW_SH_S183L to
device /dev/sr0
/dev/sr0 resolved to /dev/sr0
/dev/sr0 is block device (0)
/dev/sr0 seems to be cdrom
bus: 2, id: 0, lun: 0
(K3bDevice::Device) /dev/sr0: init()
(K3bDevice::Device) /dev/sr0 feature: CD Mastering
(K3bDevice::Device) /dev/sr0 feature: CD Track At Once
(K3bDevice::Device) /dev/sr0 feature: DVD Read (MMC5)
(K3bDevice::Device) /dev/sr0 feature: DVD+R
(K3bDevice::Device) /dev/sr0 feature: DVD+RW
(K3bDevice::Device) /dev/sr0 feature: DVD+R Double Layer
(K3bDevice::Device) /dev/sr0 feature: DVD-R/-RW Write
(K3bDevice::Device) /dev/sr0 feature: Rigid Restricted Overwrite
(K3bDevice::Device) /dev/sr0 feature: Layer Jump Recording
(K3bDevice::Device) /dev/sr0 unknown profile: 2
(K3bDevice::Device) /dev/sr0: dataLen: 60
(K3bDevice::Device) /dev/sr0: checking for TAO
(K3bDevice::Device) /dev/sr0: checking for SAO
(K3bDevice::Device) /dev/sr0: checking for SAO_R96P
(K3bDevice::Device) /dev/sr0: checking for SAO_R96R
(K3bDevice::Device) /dev/sr0: checking for RAW_R16
(K3bDevice::Device) /dev/sr0: checking for RAW_R96P
(K3bDevice::Device) /dev/sr0: checking for RAW_R96R

Big pause here with splash screen up.

(K3bDevice::ScsiCommand) failed:
                           command:    GET PERFORMANCE (ac)
                           errorcode:  72
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       3
(K3bDevice::Device) /dev/sr0: GET PERFORMANCE length det failed.
(K3bDevice::ScsiCommand) failed:
                           command:    MODE SENSE (5a)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) /dev/sr0: MODE SENSE length det failed.
(K3bDevice::ScsiCommand) failed:
                           command:    MODE SENSE (5a)
                           errorcode:  0
                           sense key:  NO SENSE (2)
                           asc:        0
                           ascq:       0
(K3bDevice::Device) /dev/sr0: MODE SENSE with real length 65535 failed.
(K3bDevice::Device) could not open device /dev/sr0 for reading
                    (No such device or address)
Error while retrieving capabilities.
Could not initialize device /dev/sr0
Devices:
------------------------------

dmesg:
ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata3.00: cmd a0/00:00:00:08:00/00:00:00:00:00/a0 tag 0 pio 8 in
         cdb ac 00 00 00 00 00 00 00  00 01 03 00 00 00 00 00
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata3.00: status: { DRDY }
ata3: soft resetting link
ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata3.00: qc timeout (cmd 0xa1)
ata3.00: failed to IDENTIFY (I/O error, err_mask=0x5)
ata3.00: revalidation failed (errno=-5)
ata3: failed to recover some devices, retrying in 5 secs
ata3: hard resetting link
ata3: port is slow to respond, please be patient (Status 0x80)
ata3: COMRESET failed (errno=-16)
ata3: hard resetting link
ata3: port is slow to respond, please be patient (Status 0x80)
ata3: COMRESET failed (errno=-16)
ata3: hard resetting link
ata3: port is slow to respond, please be patient (Status 0x80)
ata3: COMRESET failed (errno=-16)
ata3: limiting SATA link speed to 1.5 Gbps
ata3: hard resetting link
ata3: COMRESET failed (errno=-16)
ata3: reset failed, giving up
ata3.00: disabled
ata3: exception Emask 0x10 SAct 0x0 SErr 0x4050000 action 0xa frozen t4
ata3: SError: { PHYRdyChg CommWake DevExch }
ata3: hard resetting link
ata3: port is slow to respond, please be patient (Status 0x80)
ata3: COMRESET failed (errno=-16)
ata3: hard resetting link
ata3: port is slow to respond, please be patient (Status 0x80)
ata3: COMRESET failed (errno=-16)
ata3: hard resetting link
ata3: port is slow to respond, please be patient (Status 0x80)
ata3: COMRESET failed (errno=-16)
ata3: limiting SATA link speed to 1.5 Gbps
ata3: hard resetting link
ata3: COMRESET failed (errno=-16)
ata3: reset failed, giving up
sr 2:0:0:0: rejecting I/O to offline device
ata3: EH complete
ata3.00: detaching (SCSI 2:0:0:0)
scsi 2:0:0:0: rejecting I/O to dead device
scsi 2:0:0:0: rejecting I/O to dead device
scsi 2:0:0:0: rejecting I/O to dead device
scsi 2:0:0:0: rejecting I/O to dead device
scsi 2:0:0:0: rejecting I/O to dead device
scsi 2:0:0:0: rejecting I/O to dead device
scsi 2:0:0:0: rejecting I/O to dead device
Comment 1 Chuck Ebbert 2008-05-07 17:58:21 EDT
Can you post the file /var/log/dmesg (as an attachment) after booting.
Comment 2 Daniel Benamy 2008-05-09 18:48:17 EDT
Created attachment 304992 [details]
dmesg

I updated to rawhide a couple of days back and the problem's gone, which is
nice for me, but not so nice for debugging it :-/
Here's my current (ie with rawhide kernel) /var/log/dmesg in case that's still
of any use.
Comment 3 Bug Zapper 2008-11-26 05:39:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:28:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.